
Redmine - Patch #32308

Rubocop: Performance/RedundantBlockCall: Use yield instead of block.call.

2019-10-20 17:25 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version:    

Description

Offenses:

lib/redmine/scm/adapters/abstract_adapter.rb:252:17: C: [Corrected] Performance/RedundantBlockCall

: Use yield instead of block.call.

                block.call(io) if block_given?

                ^^^^^^^^^^^^^^

 Fix:

root@df2fd1389bf4:/work# git diff

diff --git a/lib/redmine/scm/adapters/abstract_adapter.rb b/lib/redmine/scm/adapters/abstract_adap

ter.rb

index 67a1f17a3..14f8f09c4 100644

--- a/lib/redmine/scm/adapters/abstract_adapter.rb

+++ b/lib/redmine/scm/adapters/abstract_adapter.rb

@@ -249,7 +249,7 @@ module Redmine

               IO.popen(cmd, mode) do |io|

                 io.set_encoding("ASCII-8BIT") if io.respond_to?(:set_encoding)

                 io.close_write unless options[:write_stdin]

-                block.call(io) if block_given?

+                yield(io) if block_given?

               end

             rescue => e

               msg = strip_credential(e.message)

Associated revisions

Revision 18815 - 2019-10-22 14:40 - Toshi MARUYAMA

use "if block_given?" instead of "if block" in lib/redmine/views/builders/structure.rb (#32308)

Revision 18816 - 2019-10-22 14:40 - Toshi MARUYAMA

use "if block_given?" instead of "if block" in lib/redmine/views/builders.rb (#32308)

Revision 18817 - 2019-10-22 14:40 - Toshi MARUYAMA

use "class << self" syntax for Redmine::Views::Builders#for (#32308)

Revision 18818 - 2019-10-22 14:40 - Toshi MARUYAMA

rubocop: add new detected files to Performance/RedundantBlockCall (#32308)

History

#1 - 2019-10-21 01:32 - Go MAEDA

Caused by r18777.

#2 - 2019-10-21 08:40 - Marius BĂLTEANU

All tests pass: https://gitlab.com/redmine-org/redmine/pipelines/90121225

#3 - 2019-10-21 13:32 - Pavel Rosický

2024-04-18 1/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/18777
https://gitlab.com/redmine-org/redmine/pipelines/90121225


- File yield.patch added

there are a few other cases

#4 - 2019-10-21 13:39 - Pavel Rosický

- File block_given.patch added

#5 - 2019-10-22 14:13 - Marius BĂLTEANU

- Assignee set to Toshi MARUYAMA

#6 - 2019-10-22 14:32 - Toshi MARUYAMA

def check(&block)

  if block

    puts "if block" 

  else

    puts "else" 

  end

  if block_given?

    puts "Block is given." 

  else

    puts "Block isn't given." 

  end

end

check{}

puts

check

 
$ ruby test.rb 

if block

Block is given.

else

Block isn't given.

#7 - 2019-10-22 14:42 - Toshi MARUYAMA

- Status changed from New to Closed

- Target version deleted (Candidate for next major release)

Fixed, thanks.

Files

yield.patch 3.63 KB 2019-10-21 Pavel Rosický

block_given.patch 365 Bytes 2019-10-21 Pavel Rosický
